- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
AL::Math::DSP::PIDController Class Reference

`#include <pidcontroller.h>`

## Public Member Functions
| PIDController (void)
| PIDController (float pKp, float pKv, float pKi, float pThreshold, float pStaticOffset, float pPeriod)
| ~PIDController ()
void | initialize ()
void | initialize (float pKp, float pKv, float pKi, float pThreshold, float pStaticOffset, float pPeriod)
float | computeFeedback (float pCommand, float pSensor, float pPeriod=-1.0f)
float | computeFeedbackAbsolute (float pAbsoluteErr)
void | setGains (float pKp, float pKv, float pKi)

## Detailed Description

Definition at line 15 of file pidcontroller.h.

## Constructor & Destructor Documentation

AL::Math::DSP::PIDController::PIDController | ( | void |  | ) |

AL::Math::DSP::PIDController::PIDController | ( | float | pKp,
|  | float | pKv,
|  | float | pKi,
|  | float | pThreshold,
|  | float | pStaticOffset,
|  | float | pPeriod
| ) |  |

AL::Math::DSP::PIDController::~PIDController | ( |  | ) |

## Member Function Documentation

float AL::Math::DSP::PIDController::computeFeedback | ( | float | pCommand,
|  | float | pSensor,
|  | float | pPeriod = `-1.0f`
| ) |  |

float AL::Math::DSP::PIDController::computeFeedbackAbsolute | ( | float | pAbsoluteErr | ) |

void AL::Math::DSP::PIDController::initialize | ( |  | ) |

void AL::Math::DSP::PIDController::initialize | ( | float | pKp,
|  | float | pKv,
|  | float | pKi,
|  | float | pThreshold,
|  | float | pStaticOffset,
|  | float | pPeriod
| ) |  |

void AL::Math::DSP::PIDController::setGains | ( | float | pKp,
|  | float | pKv,
|  | float | pKi
| ) |  |

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/dsp/pidcontroller.h